Bug 1431298 (php-symfony3) - Review Request: php-symfony3 - Symfony PHP framework (version 3)
Summary: Review Request: php-symfony3 - Symfony PHP framework (version 3)
Keywords:
Status: CLOSED RAWHIDE
Alias: php-symfony3
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1433919
TreeView+ depends on / blocked
 
Reported: 2017-03-10 23:08 UTC by Shawn Iwinski
Modified: 2017-07-28 08:38 UTC (History)
4 users (show)

Fixed In Version: php-symfony3-3.2.11-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-28 08:38:58 UTC
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Shawn Iwinski 2017-03-10 23:08:37 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/ddc275ca89d888fdc7e7f54b2117b498c6cd2b1e/php-symfony3/php-symfony3.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-symfony3-3.2.6-1.fc25.src.rpm

Description: Symfony PHP framework (version 3)

Fedora Account System Username: siwinski

Comment 2 James Hogarth 2017-03-20 11:30:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package fails to install
  *  There is a requirement on php-symfony3-phpunit-bridge but this subpackage is commented out and not built
- License in header missing CC-BY-SA for ICONS_LICENSE
  * Need to update license field in spec to include this
- Directory ownership flag is false negative due to global var usage.
  * No issue
- Description in packages has wrong auto loader location as it refers to the existing php symfony location and doesn't use %{symfony3_dir}
  * This needs to point to the correct autoloader
- Requires on web-profiler-bundle has wrong ver on polyfill-php70
  * Specifies %{version} and not the min/max polyfill version so it cannot be installed
- Assuming package works as check tests pass

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause)", "*No copyright* CC by-
     sa (v3.0)", "Unknown or generated". 5484 files have unknown license.
     Detailed output of licensecheck in /home/james/workspace/fedora-
     scm/1431298-php-symfony3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/Symfony3,
     /usr/share/php, /usr/share/php/Symfony3/Bridge,
     /usr/share/php/Symfony3/Bundle, /usr/share/php/Symfony3/Component
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 808960 bytes in 134 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in php-
     symfony3-common , php-symfony3-doctrine-bridge , php-symfony3-monolog-
     bridge , php-symfony3-proxy-manager-bridge , php-symfony3-twig-bridge
     , php-symfony3-debug-bundle , php-symfony3-framework-bundle , php-
     symfony3-security-bundle , php-symfony3-twig-bundle , php-symfony3
     -web-profiler-bundle , php-symfony3-asset , php-symfony3-browser-kit ,
     php-symfony3-cache , php-symfony3-class-loader , php-symfony3-config ,
     php-symfony3-console , php-symfony3-css-selector , php-symfony3-debug
     , php-symfony3-dependency-injection , php-symfony3-dom-crawler , php-
     symfony3-event-dispatcher , php-symfony3-expression-language , php-
     symfony3-filesystem , php-symfony3-finder , php-symfony3-form , php-
     symfony3-http-foundation , php-symfony3-http-kernel , php-
     symfony3-inflector , php-symfony3-intl , php-symfony3-ldap , php-
     symfony3-options-resolver , php-symfony3-process , php-symfony3
     -property-access , php-symfony3-property-info , php-symfony3-routing ,
     php-symfony3-security , php-symfony3-serializer , php-
     symfony3-stopwatch , php-symfony3-templating , php-
     symfony3-translation , php-symfony3-validator , php-symfony3-var-
     dumper , php-symfony3-workflow , php-symfony3-yaml
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.5 DB version 1.19.0 built Mar 17 2017
     07:03:16 CET static analyze results in /home/james/workspace/fedora-
     scm/1431298-php-symfony3/phpci.log


Installation errors
-------------------
INFO: mock.py version 1.3.4 starting (python version = 3.5.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.3.4
INFO: Mock Version: 1.3.4
Finish: chroot init
INFO: installing package(s): /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-finder-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-security-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-debug-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-ldap-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-filesystem-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-class-loader-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-console-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-inflector-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-dom-crawler-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-routing-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-serializer-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-http-foundation-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-translation-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-templating-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-event-dispatcher-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-intl-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-common-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-validator-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-browser-kit-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-yaml-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-framework-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-form-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-monolog-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-css-selector-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-debug-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-http-kernel-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-security-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-config-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-doctrine-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-var-dumper-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-proxy-manager-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-asset-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-options-resolver-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-web-profiler-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-twig-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-dependency-injection-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-twig-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-process-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-workflow-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-cache-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-property-access-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-expression-language-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-property-info-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-stopwatch-3.2.6-2.fc27.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=false install /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-finder-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-security-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-debug-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-ldap-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-filesystem-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-class-loader-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-console-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-inflector-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-dom-crawler-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-routing-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-serializer-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-http-foundation-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-translation-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-templating-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-event-dispatcher-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-intl-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-common-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-validator-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-browser-kit-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-yaml-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-framework-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-form-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-monolog-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-css-selector-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-debug-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-http-kernel-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-security-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-config-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-doctrine-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-var-dumper-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-proxy-manager-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-asset-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-options-resolver-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-web-profiler-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-twig-bridge-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-dependency-injection-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-twig-bundle-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-process-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-workflow-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-cache-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-property-access-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-expression-language-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-property-info-3.2.6-2.fc27.noarch.rpm /home/james/workspace/fedora-scm/1431298-php-symfony3/results/php-symfony3-stopwatch-3.2.6-2.fc27.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: php-symfony3-3.2.6-2.fc27.noarch.rpm
          php-symfony3-common-3.2.6-2.fc27.noarch.rpm
          php-symfony3-doctrine-bridge-3.2.6-2.fc27.noarch.rpm
          php-symfony3-monolog-bridge-3.2.6-2.fc27.noarch.rpm
          php-symfony3-proxy-manager-bridge-3.2.6-2.fc27.noarch.rpm
          php-symfony3-twig-bridge-3.2.6-2.fc27.noarch.rpm
          php-symfony3-debug-bundle-3.2.6-2.fc27.noarch.rpm
          php-symfony3-framework-bundle-3.2.6-2.fc27.noarch.rpm
          php-symfony3-security-bundle-3.2.6-2.fc27.noarch.rpm
          php-symfony3-twig-bundle-3.2.6-2.fc27.noarch.rpm
          php-symfony3-web-profiler-bundle-3.2.6-2.fc27.noarch.rpm
          php-symfony3-asset-3.2.6-2.fc27.noarch.rpm
          php-symfony3-browser-kit-3.2.6-2.fc27.noarch.rpm
          php-symfony3-cache-3.2.6-2.fc27.noarch.rpm
          php-symfony3-class-loader-3.2.6-2.fc27.noarch.rpm
          php-symfony3-config-3.2.6-2.fc27.noarch.rpm
          php-symfony3-console-3.2.6-2.fc27.noarch.rpm
          php-symfony3-css-selector-3.2.6-2.fc27.noarch.rpm
          php-symfony3-debug-3.2.6-2.fc27.noarch.rpm
          php-symfony3-dependency-injection-3.2.6-2.fc27.noarch.rpm
          php-symfony3-dom-crawler-3.2.6-2.fc27.noarch.rpm
          php-symfony3-event-dispatcher-3.2.6-2.fc27.noarch.rpm
          php-symfony3-expression-language-3.2.6-2.fc27.noarch.rpm
          php-symfony3-filesystem-3.2.6-2.fc27.noarch.rpm
          php-symfony3-finder-3.2.6-2.fc27.noarch.rpm
          php-symfony3-form-3.2.6-2.fc27.noarch.rpm
          php-symfony3-http-foundation-3.2.6-2.fc27.noarch.rpm
          php-symfony3-http-kernel-3.2.6-2.fc27.noarch.rpm
          php-symfony3-inflector-3.2.6-2.fc27.noarch.rpm
          php-symfony3-intl-3.2.6-2.fc27.noarch.rpm
          php-symfony3-ldap-3.2.6-2.fc27.noarch.rpm
          php-symfony3-options-resolver-3.2.6-2.fc27.noarch.rpm
          php-symfony3-process-3.2.6-2.fc27.noarch.rpm
          php-symfony3-property-access-3.2.6-2.fc27.noarch.rpm
          php-symfony3-property-info-3.2.6-2.fc27.noarch.rpm
          php-symfony3-routing-3.2.6-2.fc27.noarch.rpm
          php-symfony3-security-3.2.6-2.fc27.noarch.rpm
          php-symfony3-serializer-3.2.6-2.fc27.noarch.rpm
          php-symfony3-stopwatch-3.2.6-2.fc27.noarch.rpm
          php-symfony3-templating-3.2.6-2.fc27.noarch.rpm
          php-symfony3-translation-3.2.6-2.fc27.noarch.rpm
          php-symfony3-validator-3.2.6-2.fc27.noarch.rpm
          php-symfony3-var-dumper-3.2.6-2.fc27.noarch.rpm
          php-symfony3-workflow-3.2.6-2.fc27.noarch.rpm
          php-symfony3-yaml-3.2.6-2.fc27.noarch.rpm
          php-symfony3-3.2.6-2.fc27.src.rpm
php-symfony3.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3.noarch: W: dangling-relative-symlink /usr/share/doc/php-symfony3 php-symfony3-common
php-symfony3-common.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-common.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-doctrine-bridge.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-doctrine-bridge.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-monolog-bridge.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-monolog-bridge.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-proxy-manager-bridge.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-proxy-manager-bridge.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-proxy-manager-bridge.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-twig-bridge.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-twig-bridge.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-twig-bridge.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-debug-bundle.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-debug-bundle.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-debug-bundle.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-debug-bundle.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-framework-bundle.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-framework-bundle.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-framework-bundle.noarch: E: zero-length /usr/share/php/Symfony3/Bundle/FrameworkBundle/Resources/views/Form/button_label.html.php
php-symfony3-security-bundle.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-security-bundle.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-security-bundle.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-security-bundle.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-twig-bundle.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-twig-bundle.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-twig-bundle.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-web-profiler-bundle.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-web-profiler-bundle.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-web-profiler-bundle.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-asset.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-asset.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-asset.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-browser-kit.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-browser-kit.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
php-symfony3-browser-kit.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-browser-kit.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-cache.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-cache.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
php-symfony3-cache.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-cache.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-class-loader.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US autoloading -> auto loading, auto-loading, toadding
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US autoloader -> auto loader, auto-loader, freeloader
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-class-loader.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-config.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-config.noarch: W: spelling-error %description -l en_US autofill -> auto fill, auto-fill, autopilot
php-symfony3-config.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-config.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-console.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-console.noarch: W: spelling-error %description -l en_US cronjobs -> Cronus
php-symfony3-console.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-console.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-css-selector.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-css-selector.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-css-selector.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-debug.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-debug.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-debug.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-dependency-injection.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-dependency-injection.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-dependency-injection.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-dom-crawler.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-dom-crawler.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-dom-crawler.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-event-dispatcher.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-event-dispatcher.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-event-dispatcher.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-expression-language.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-expression-language.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-expression-language.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-filesystem.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-filesystem.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-filesystem.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-finder.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-finder.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-finder.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-form.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-form.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-form.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-http-foundation.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-http-foundation.noarch: W: spelling-error %description -l en_US setcookie -> set cookie, set-cookie, cookie
php-symfony3-http-foundation.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-http-foundation.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-http-kernel.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-http-kernel.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-inflector.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-inflector.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-inflector.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-inflector.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-intl.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-intl.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-intl.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-ldap.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-ldap.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-options-resolver.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-options-resolver.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-options-resolver.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-process.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-process.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-process.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-property-access.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-property-access.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-property-access.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-property-info.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-property-info.noarch: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3-property-info.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-property-info.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-routing.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-routing.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-routing.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-security.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-security.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-security.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-serializer.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-serializer.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-serializer.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-stopwatch.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-stopwatch.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-stopwatch.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-templating.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-templating.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-templating.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-translation.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-translation.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-translation.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-validator.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-validator.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-validator.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-var-dumper.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-var-dumper.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-var-dumper.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-workflow.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-workflow.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-workflow.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3-yaml.noarch: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3-yaml.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-symfony3-yaml.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-symfony3.src: W: spelling-error Summary(en_US) Symfony -> Symphony
php-symfony3.src: W: spelling-error %description -l en_US Symfony -> Symphony
php-symfony3.src: W: strange-permission php-symfony3-generate-autoloaders.php 775
46 packages and 0 specfiles checked; 1 errors, 146 warnings.




Requires
--------
php-symfony3-web-profiler-bundle (rpmlib, GLIBC filtered):
    php-composer(symfony/http-kernel)
    php-composer(symfony/polyfill-php70)
    php-composer(symfony/routing)
    php-composer(symfony/twig-bridge)
    php-composer(symfony/var-dumper)
    php-composer(twig/twig)
    php-pcre
    php-spl

php-symfony3-templating (rpmlib, GLIBC filtered):
    php-ctype
    php-hash
    php-iconv
    php-pcre
    php-spl
    php-symfony3-common

php-symfony3 (rpmlib, GLIBC filtered):
    php-composer(symfony/asset)
    php-composer(symfony/browser-kit)
    php-composer(symfony/cache)
    php-composer(symfony/class-loader)
    php-composer(symfony/config)
    php-composer(symfony/console)
    php-composer(symfony/css-selector)
    php-composer(symfony/debug)
    php-composer(symfony/debug-bundle)
    php-composer(symfony/dependency-injection)
    php-composer(symfony/doctrine-bridge)
    php-composer(symfony/dom-crawler)
    php-composer(symfony/event-dispatcher)
    php-composer(symfony/expression-language)
    php-composer(symfony/filesystem)
    php-composer(symfony/finder)
    php-composer(symfony/form)
    php-composer(symfony/framework-bundle)
    php-composer(symfony/http-foundation)
    php-composer(symfony/http-kernel)
    php-composer(symfony/intl)
    php-composer(symfony/ldap)
    php-composer(symfony/monolog-bridge)
    php-composer(symfony/options-resolver)
    php-composer(symfony/phpunit-bridge)
    php-composer(symfony/process)
    php-composer(symfony/property-access)
    php-composer(symfony/property-info)
    php-composer(symfony/proxy-manager-bridge)
    php-composer(symfony/routing)
    php-composer(symfony/security)
    php-composer(symfony/security-bundle)
    php-composer(symfony/serializer)
    php-composer(symfony/stopwatch)
    php-composer(symfony/templating)
    php-composer(symfony/translation)
    php-composer(symfony/twig-bridge)
    php-composer(symfony/twig-bundle)
    php-composer(symfony/validator)
    php-composer(symfony/var-dumper)
    php-composer(symfony/web-profiler-bundle)
    php-composer(symfony/workflow)
    php-composer(symfony/yaml)

php-symfony3-process (rpmlib, GLIBC filtered):
    php-pcre
    php-posix
    php-spl
    php-symfony3-common

php-symfony3-options-resolver (rpmlib, GLIBC filtered):
    php-reflection
    php-spl
    php-symfony3-common

php-symfony3-yaml (rpmlib, GLIBC filtered):
    php-ctype
    php-date
    php-json
    php-mbstring
    php-pcre
    php-spl
    php-symfony3-common

php-symfony3-console (rpmlib, GLIBC filtered):
    php-date
    php-dom
    php-json
    php-mbstring
    php-pcre
    php-posix
    php-reflection
    php-spl

php-symfony3-translation (rpmlib, GLIBC filtered):
    php-dom
    php-intl
    php-json
    php-libxml
    php-mbstring
    php-pcre
    php-simplexml
    php-spl
    php-symfony3-common

php-symfony3-ldap (rpmlib, GLIBC filtered):
    php-composer(symfony/options-resolver)
    php-composer(symfony/polyfill-php56)
    php-ldap
    php-spl
    php-symfony3-common

php-symfony3-proxy-manager-bridge (rpmlib, GLIBC filtered):
    php-composer(ocramius/proxy-manager)
    php-composer(symfony/dependency-injection)
    php-reflection
    php-spl

php-symfony3-twig-bridge (rpmlib, GLIBC filtered):
    php-composer(twig/twig)
    php-hash
    php-json
    php-pcre
    php-reflection
    php-spl
    php-symfony3-common

php-symfony3-form (rpmlib, GLIBC filtered):
    php-composer(symfony/event-dispatcher)
    php-composer(symfony/intl)
    php-composer(symfony/options-resolver)
    php-composer(symfony/property-access)
    php-ctype
    php-date
    php-hash
    php-intl
    php-mbstring
    php-pcre
    php-spl

php-symfony3-framework-bundle (rpmlib, GLIBC filtered):
    php-composer(doctrine/cache)
    php-composer(symfony/cache)
    php-composer(symfony/class-loader)
    php-composer(symfony/config)
    php-composer(symfony/dependency-injection)
    php-composer(symfony/event-dispatcher)
    php-composer(symfony/filesystem)
    php-composer(symfony/finder)
    php-composer(symfony/http-foundation)
    php-composer(symfony/http-kernel)
    php-composer(symfony/routing)
    php-composer(symfony/security-core)
    php-composer(symfony/security-csrf)
    php-composer(symfony/stopwatch)
    php-dom
    php-fileinfo
    php-filter
    php-hash
    php-json
    php-mbstring
    php-pcre
    php-posix
    php-reflection
    php-spl
    php-tokenizer

php-symfony3-expression-language (rpmlib, GLIBC filtered):
    php-composer(symfony/cache)
    php-ctype
    php-pcre
    php-spl

php-symfony3-intl (rpmlib, GLIBC filtered):
    php-ctype
    php-date
    php-intl
    php-json
    php-pcre
    php-reflection
    php-simplexml
    php-spl
    php-symfony3-common

php-symfony3-security-bundle (rpmlib, GLIBC filtered):
    php-composer(symfony/http-kernel)
    php-composer(symfony/polyfill-php70)
    php-composer(symfony/security)
    php-pcre
    php-spl

php-symfony3-workflow (rpmlib, GLIBC filtered):
    php-composer(symfony/property-access)
    php-pcre
    php-spl

php-symfony3-asset (rpmlib, GLIBC filtered):
    php-hash
    php-spl
    php-symfony3-common

php-symfony3-css-selector (rpmlib, GLIBC filtered):
    php-pcre
    php-symfony3-common

php-symfony3-http-kernel (rpmlib, GLIBC filtered):
    php-composer(psr/log)
    php-composer(symfony/debug)
    php-composer(symfony/event-dispatcher)
    php-composer(symfony/http-foundation)
    php-date
    php-hash
    php-pcre
    php-reflection
    php-session
    php-spl
    php-tokenizer

php-symfony3-browser-kit (rpmlib, GLIBC filtered):
    php-composer(symfony/dom-crawler)
    php-date
    php-pcre
    php-spl

php-symfony3-property-access (rpmlib, GLIBC filtered):
    php-composer(symfony/inflector)
    php-composer(symfony/polyfill-php70)
    php-pcre
    php-reflection
    php-spl

php-symfony3-debug (rpmlib, GLIBC filtered):
    php-composer(psr/log)
    php-json
    php-pcre
    php-reflection
    php-spl
    php-symfony3-common

php-symfony3-var-dumper (rpmlib, GLIBC filtered):
    php-curl
    php-date
    php-dom
    php-gd
    php-iconv
    php-json
    php-mbstring
    php-pcre
    php-posix
    php-reflection
    php-spl
    php-symfony3-common
    php-xml

php-symfony3-property-info (rpmlib, GLIBC filtered):
    php-composer(symfony/inflector)
    php-pcre
    php-reflection
    php-spl

php-symfony3-cache (rpmlib, GLIBC filtered):
    php-composer(psr/cache)
    php-composer(psr/log)
    php-date
    php-hash
    php-pcre
    php-pdo
    php-reflection
    php-spl

php-symfony3-validator (rpmlib, GLIBC filtered):
    php-composer(symfony/translation)
    php-ctype
    php-date
    php-filter
    php-intl
    php-json
    php-mbstring
    php-pcre
    php-reflection
    php-simplexml
    php-spl

php-symfony3-dom-crawler (rpmlib, GLIBC filtered):
    php-dom
    php-libxml
    php-mbstring
    php-pcre
    php-spl
    php-symfony3-common

php-symfony3-event-dispatcher (rpmlib, GLIBC filtered):
    php-pcre
    php-spl
    php-symfony3-common

php-symfony3-twig-bundle (rpmlib, GLIBC filtered):
    php-composer(symfony/config)
    php-composer(symfony/http-foundation)
    php-composer(symfony/http-kernel)
    php-composer(symfony/twig-bridge)
    php-composer(twig/twig)
    php-ctype
    php-reflection
    php-spl

php-symfony3-routing (rpmlib, GLIBC filtered):
    php-pcre
    php-reflection
    php-spl
    php-symfony3-common
    php-tokenizer

php-symfony3-doctrine-bridge (rpmlib, GLIBC filtered):
    php-composer(doctrine/common)
    php-ctype
    php-date
    php-hash
    php-json
    php-mbstring
    php-pcre
    php-pdo_sqlite
    php-reflection
    php-session
    php-spl
    php-symfony3-common

php-symfony3-security (rpmlib, GLIBC filtered):
    php-composer(symfony/event-dispatcher)
    php-composer(symfony/http-foundation)
    php-composer(symfony/http-kernel)
    php-composer(symfony/polyfill-php56)
    php-composer(symfony/polyfill-php70)
    php-composer(symfony/polyfill-util)
    php-composer(symfony/property-access)
    php-date
    php-hash
    php-json
    php-pcre
    php-reflection
    php-session
    php-spl

php-symfony3-config (rpmlib, GLIBC filtered):
    php-composer(symfony/filesystem)
    php-composer(symfony/yaml)
    php-ctype
    php-dom
    php-json
    php-libxml
    php-pcre
    php-spl

php-symfony3-finder (rpmlib, GLIBC filtered):
    php-date
    php-pcre
    php-spl
    php-symfony3-common

php-symfony3-http-foundation (rpmlib, GLIBC filtered):
    php-date
    php-fileinfo
    php-filter
    php-hash
    php-json
    php-mbstring
    php-pcre
    php-pdo
    php-reflection
    php-session
    php-sockets
    php-spl
    php-symfony3-common

php-symfony3-serializer (rpmlib, GLIBC filtered):
    php-ctype
    php-date
    php-dom
    php-json
    php-libxml
    php-pcre
    php-reflection
    php-simplexml
    php-spl
    php-symfony3-common

php-symfony3-dependency-injection (rpmlib, GLIBC filtered):
    php-dom
    php-hash
    php-libxml
    php-pcre
    php-reflection
    php-spl
    php-symfony3-common

php-symfony3-stopwatch (rpmlib, GLIBC filtered):
    php-spl
    php-symfony3-common

php-symfony3-common (rpmlib, GLIBC filtered):
    php(language)
    php-composer(fedora/autoloader)

php-symfony3-inflector (rpmlib, GLIBC filtered):
    php-ctype
    php-symfony3-common

php-symfony3-class-loader (rpmlib, GLIBC filtered):
    php-hash
    php-pcre
    php-reflection
    php-spl
    php-symfony3-common
    php-tokenizer

php-symfony3-monolog-bridge (rpmlib, GLIBC filtered):
    php-composer(monolog/monolog)
    php-composer(symfony/http-kernel)
    php-pcre
    php-symfony3-common

php-symfony3-debug-bundle (rpmlib, GLIBC filtered):
    php-composer(symfony/http-kernel)
    php-composer(symfony/twig-bridge)
    php-composer(symfony/var-dumper)

php-symfony3-filesystem (rpmlib, GLIBC filtered):
    php-ctype
    php-hash
    php-pcre
    php-posix
    php-spl
    php-symfony3-common



Provides
--------
php-symfony3-web-profiler-bundle:
    php-composer(symfony/web-profiler-bundle)
    php-symfony3-web-profiler-bundle

php-symfony3-templating:
    php-composer(symfony/templating)
    php-symfony3-templating

php-symfony3:
    php-composer(symfony/symfony)
    php-symfony3

php-symfony3-process:
    php-composer(symfony/process)
    php-symfony3-process

php-symfony3-options-resolver:
    php-composer(symfony/options-resolver)
    php-symfony3-options-resolver

php-symfony3-yaml:
    php-composer(symfony/yaml)
    php-symfony3-yaml

php-symfony3-console:
    php-composer(symfony/console)
    php-symfony3-console

php-symfony3-translation:
    php-composer(symfony/translation)
    php-symfony3-translation

php-symfony3-ldap:
    php-composer(symfony/ldap)
    php-symfony3-ldap

php-symfony3-proxy-manager-bridge:
    php-composer(symfony/proxy-manager-bridge)
    php-symfony3-proxy-manager-bridge

php-symfony3-twig-bridge:
    php-composer(symfony/twig-bridge)
    php-symfony3-twig-bridge

php-symfony3-form:
    php-composer(symfony/form)
    php-symfony3-form

php-symfony3-framework-bundle:
    php-composer(symfony/framework-bundle)
    php-symfony3-framework-bundle

php-symfony3-expression-language:
    php-composer(symfony/expression-language)
    php-symfony3-expression-language

php-symfony3-intl:
    php-composer(symfony/intl)
    php-symfony3-intl

php-symfony3-security-bundle:
    php-composer(symfony/security-bundle)
    php-symfony3-security-bundle

php-symfony3-workflow:
    php-composer(symfony/workflow)
    php-symfony3-workflow

php-symfony3-asset:
    php-composer(symfony/asset)
    php-symfony3-asset

php-symfony3-css-selector:
    php-composer(symfony/css-selector)
    php-symfony3-css-selector

php-symfony3-http-kernel:
    php-composer(symfony/http-kernel)
    php-symfony3-http-kernel

php-symfony3-browser-kit:
    php-composer(symfony/browser-kit)
    php-symfony3-browser-kit

php-symfony3-property-access:
    php-composer(symfony/property-access)
    php-symfony3-property-access

php-symfony3-debug:
    php-composer(symfony/debug)
    php-symfony3-debug

php-symfony3-var-dumper:
    php-composer(symfony/var-dumper)
    php-symfony3-var-dumper

php-symfony3-property-info:
    php-composer(symfony/property-info)
    php-symfony3-property-info

php-symfony3-cache:
    php-composer(psr/cache-implementation)
    php-composer(symfony/cache)
    php-symfony3-cache

php-symfony3-validator:
    php-composer(symfony/validator)
    php-symfony3-validator

php-symfony3-dom-crawler:
    php-composer(symfony/dom-crawler)
    php-symfony3-dom-crawler

php-symfony3-event-dispatcher:
    php-composer(symfony/event-dispatcher)
    php-symfony3-event-dispatcher

php-symfony3-twig-bundle:
    php-composer(symfony/twig-bundle)
    php-symfony3-twig-bundle

php-symfony3-routing:
    php-composer(symfony/routing)
    php-symfony3-routing

php-symfony3-doctrine-bridge:
    php-composer(symfony/doctrine-bridge)
    php-symfony3-doctrine-bridge

php-symfony3-security:
    php-composer(symfony/security)
    php-composer(symfony/security-core)
    php-composer(symfony/security-csrf)
    php-composer(symfony/security-guard)
    php-composer(symfony/security-http)
    php-symfony3-security
    php-symfony3-security-core
    php-symfony3-security-csrf
    php-symfony3-security-guard
    php-symfony3-security-http

php-symfony3-config:
    php-composer(symfony/config)
    php-symfony3-config

php-symfony3-finder:
    php-composer(symfony/finder)
    php-symfony3-finder

php-symfony3-http-foundation:
    php-composer(symfony/http-foundation)
    php-symfony3-http-foundation

php-symfony3-serializer:
    php-composer(symfony/serializer)
    php-symfony3-serializer

php-symfony3-dependency-injection:
    php-composer(symfony/dependency-injection)
    php-symfony3-dependency-injection

php-symfony3-stopwatch:
    php-composer(symfony/stopwatch)
    php-symfony3-stopwatch

php-symfony3-common:
    php-symfony3-common

php-symfony3-inflector:
    php-composer(symfony/inflector)
    php-symfony3-inflector

php-symfony3-class-loader:
    php-composer(symfony/class-loader)
    php-symfony3-class-loader

php-symfony3-monolog-bridge:
    php-composer(symfony/monolog-bridge)
    php-symfony3-monolog-bridge

php-symfony3-debug-bundle:
    php-composer(symfony/debug-bundle)
    php-symfony3-debug-bundle

php-symfony3-filesystem:
    php-composer(symfony/filesystem)
    php-symfony3-filesystem



Source checksums
----------------
https://github.com/symfony/symfony/archive/b0f8a7fa4b8baadf9db299cb6ac87c96a8977dbe/php-symfony3-3.2.6-b0f8a7fa4b8baadf9db299cb6ac87c96a8977dbe.tar.gz :
  CHECKSUM(SHA256) this package     : 5ad7ee350676caa2e44b8afea4bbbe99870f23504708329c02b88028924f0e0f
  CHECKSUM(SHA256) upstream package : 5ad7ee350676caa2e44b8afea4bbbe99870f23504708329c02b88028924f0e0f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1431298
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

===== Summary =====

Package is NOT APPROVED at this time.

Please sort out the php-symfony3-phpunit-bridge and php-symfony-polyfill-php70 issues preventing the packages from being installed.

Please update the descriptions to point to the correct autoloader.

Please update the license field to reflect the CC_BY_SA license used by the icons.

Comment 3 Shawn Iwinski 2017-03-22 01:28:25 UTC
Updated:
- Modified main package and web-profiler-bundle sub-package licenses from "MIT" to "MIT and CC-BY-SA"
- Removed phpunit-bridge dependency from main package
- Fixed web-profiler-bundle sub-package's polyfill-php70 dependency versions
- Fixed autoloader locations in descriptions

Diff: https://github.com/siwinski/rpms/commit/d5126fdddf6f003587f6a507aa6f847fc1225b0a



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d5126fdddf6f003587f6a507aa6f847fc1225b0a/php-symfony3/php-symfony3.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-symfony3-3.2.6-3.fc25.src.rpm

Comment 4 James Hogarth 2017-03-24 23:06:03 UTC
Thanks for the changes, tested parallel install with symfony fine as well.

On the basis of that this package is now APPROVED

Comment 5 Gwyn Ciesla 2017-03-28 18:47:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-symfony3


Note You need to log in before you can comment on or make changes to this bug.